package com.gingersoft.gsa.cloud.table.app.payment.bean;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2019/6/6
 * 修订历史：2019/6/6
 * 描述：
 */
public class SaleRespose {

    private int id;
    private String amount;
    private String tipsprice;
    private int paytype;
    private double paysales;
    private String name;

    //N5支付回调数据
    /**
     * EVENT_NAME : SALE_RESP
     * MID : 011603999000001
     * PAYMENT_TYPE : UP
     * PAN : 621483******1227
     * TRACE_NO : 000008
     * TIPS : 0
     * RESP_CODE : C1000
     * HOST_REF : 729706000007
     * TXN_TIME : 111905
     * TXN_ID : 18522
     * TXN_DATE : 20190613
     * STATUS : 00
     * EXPIRY_DATE : ****
     * AUTH_CODE : 080657
     * TID : 21700503
     * TXN_AMT : 0.5
     */

    private String EVENT_NAME;
    private String MID;
    private String PAYMENT_TYPE;
    private String PAN;
    private String TRACE_NO;
    private double TIPS;
    private String RESP_CODE;
    private String HOST_REF;
    private String TXN_TIME;
    private String TXN_ID;
    private String TXN_DATE;
    private String STATUS;
    private String EXPIRY_DATE;
    private String AUTH_CODE;
    private String TID;
    private double TXN_AMT;

    public SaleRespose() {
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getTipsprice() {
        return tipsprice;
    }

    public void setTipsprice(String tipsprice) {
        this.tipsprice = tipsprice;
    }

    public int getPaytype() {
        return paytype;
    }

    public void setPaytype(int paytype) {
        this.paytype = paytype;
    }

    public double getPaysales() {
        return paysales;
    }

    public void setPaysales(double paysales) {
        this.paysales = paysales;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEVENT_NAME() {
        return EVENT_NAME;
    }

    public void setEVENT_NAME(String EVENT_NAME) {
        this.EVENT_NAME = EVENT_NAME;
    }

    public String getMID() {
        return MID;
    }

    public void setMID(String MID) {
        this.MID = MID;
    }

    public String getPAYMENT_TYPE() {
        return PAYMENT_TYPE;
    }

    public void setPAYMENT_TYPE(String PAYMENT_TYPE) {
        this.PAYMENT_TYPE = PAYMENT_TYPE;
    }

    public String getPAN() {
        return PAN;
    }

    public void setPAN(String PAN) {
        this.PAN = PAN;
    }

    public String getTRACE_NO() {
        return TRACE_NO;
    }

    public void setTRACE_NO(String TRACE_NO) {
        this.TRACE_NO = TRACE_NO;
    }

    public double getTIPS() {
        return TIPS;
    }

    public void setTIPS(double TIPS) {
        this.TIPS = TIPS;
    }

    public String getRESP_CODE() {
        return RESP_CODE;
    }

    public void setRESP_CODE(String RESP_CODE) {
        this.RESP_CODE = RESP_CODE;
    }

    public String getHOST_REF() {
        return HOST_REF;
    }

    public void setHOST_REF(String HOST_REF) {
        this.HOST_REF = HOST_REF;
    }

    public String getTXN_TIME() {
        return TXN_TIME;
    }

    public void setTXN_TIME(String TXN_TIME) {
        this.TXN_TIME = TXN_TIME;
    }

    public String getTXN_ID() {
        return TXN_ID;
    }

    public void setTXN_ID(String TXN_ID) {
        this.TXN_ID = TXN_ID;
    }

    public String getTXN_DATE() {
        return TXN_DATE;
    }

    public void setTXN_DATE(String TXN_DATE) {
        this.TXN_DATE = TXN_DATE;
    }

    public String getSTATUS() {
        return STATUS;
    }

    public void setSTATUS(String STATUS) {
        this.STATUS = STATUS;
    }

    public String getEXPIRY_DATE() {
        return EXPIRY_DATE;
    }

    public void setEXPIRY_DATE(String EXPIRY_DATE) {
        this.EXPIRY_DATE = EXPIRY_DATE;
    }

    public String getAUTH_CODE() {
        return AUTH_CODE;
    }

    public void setAUTH_CODE(String AUTH_CODE) {
        this.AUTH_CODE = AUTH_CODE;
    }

    public String getTID() {
        return TID;
    }

    public void setTID(String TID) {
        this.TID = TID;
    }

    public double getTXN_AMT() {
        return TXN_AMT;
    }

    public void setTXN_AMT(double TXN_AMT) {
        this.TXN_AMT = TXN_AMT;
    }

    @Override
    public String toString() {
        return "SaleRespose{" +
                "id=" + id +
                ", amount='" + amount + '\'' +
                ", tipsprice='" + tipsprice + '\'' +
                ", paytype=" + paytype +
                ", paysales=" + paysales +
                ", name='" + name + '\'' +
                ", EVENT_NAME='" + EVENT_NAME + '\'' +
                ", MID='" + MID + '\'' +
                ", PAYMENT_TYPE='" + PAYMENT_TYPE + '\'' +
                ", PAN='" + PAN + '\'' +
                ", TRACE_NO='" + TRACE_NO + '\'' +
                ", TIPS=" + TIPS +
                ", RESP_CODE='" + RESP_CODE + '\'' +
                ", HOST_REF='" + HOST_REF + '\'' +
                ", TXN_TIME='" + TXN_TIME + '\'' +
                ", TXN_ID='" + TXN_ID + '\'' +
                ", TXN_DATE='" + TXN_DATE + '\'' +
                ", STATUS='" + STATUS + '\'' +
                ", EXPIRY_DATE='" + EXPIRY_DATE + '\'' +
                ", AUTH_CODE='" + AUTH_CODE + '\'' +
                ", TID='" + TID + '\'' +
                ", TXN_AMT=" + TXN_AMT +
                '}';
    }
}
